#include "options.ih"

void Options::setSpoolPath()
{
                                // not specified, then use the default.
                                // spoolPath may also be specified empty
    if (not d_arg->option(&d_spoolPath, 'p'))   
    {
        d_spoolPath = s_spoolPath;
        if (not Stat{ d_spoolPath })
            throw Exception{PANIC} << "cannot find spool-path  `" << 
                                                    d_spoolPath << '\'';
    }
}
